in scala.dbc
class Database

case `class` Database
  `extends` java.lang.Object
  `with` scala.ScalaObject
  `with` scala.CaseClass

  A link to a database. The `Database` abstract class must be specialised for every different DBMS.

author:
  Gilles Dubochet

Constructor Summary
| `def` this ( dbms : scala.dbc.Vendor )

Class Summary
| `class` Closed

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement ( x$1 : scala.Int ) : scala.Any
`final` `override` | `def` caseName : java.lang.String
| `def` close : scala.Unit ..
`override` | `def` equals ( x$1 : scala.Any ) : scala.Boolean
| `def` executeStatement ( relationStatement : scala.dbc.statement.Relation ) : scala.dbc.result.Relation Executes a statement that returns a relation on this database.
| `def` executeStatement ( relationStatement : scala.dbc.statement.Relation , debug : scala.Boolean ) : scala.dbc.result.Relation Executes a statement that returns a relation on this database.
| `def` executeStatement ( statusStatement : scala.dbc.statement.Status ) : scala.dbc.result.Status[scala.Unit] Executes a statement that updates the state of the database.
| `def` executeStatement ( statusStatement : scala.dbc.statement.Status , debug : scala.Boolean ) : scala.dbc.result.Status[scala.Unit] Executes a statement that updates the state of the database.
| `def` executeStatement [ ResultType ] ( transactionStatement : scala.dbc.statement.Transaction[ResultType] ) : scala.dbc.result.Status[ResultType] Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.
| `def` executeStatement [ ResultType ] ( transactionStatement : scala.dbc.statement.Transaction[ResultType] , debug : scala.Boolean ) : scala.dbc.result.Status[ResultType] Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.
`override` | `def` hashCode : scala.Int
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this ( dbms : scala.dbc.Vendor )

Def Detail

final override `def` $tag : scala.Int

final override `def` caseArity : scala.Int

final override `def` caseElement ( x$1 : scala.Int ) : scala.Any

final override `def` caseName : java.lang.String

`def` close : scala.Unit

  ..

override `def` equals ( x$1 : scala.Any ) : scala.Boolean

`def` executeStatement ( relationStatement : scala.dbc.statement.Relation ) : scala.dbc.result.Relation

  Executes a statement that returns a relation on this database.

param:
  relationStatement The statement to execute.
return:
  The relation returned by the database for this statement.

`def` executeStatement ( relationStatement : scala.dbc.statement.Relation , debug : scala.Boolean ) : scala.dbc.result.Relation

  Executes a statement that returns a relation on this database.

param:
  relationStatement The statement to execute.
param:
  debug Whether debugging information should be printed on the console.
return:
  The relation returned by the database for this statement.

`def` executeStatement ( statusStatement : scala.dbc.statement.Status ) : scala.dbc.result.Status[scala.Unit]

  Executes a statement that updates the state of the database.

param:
  statusStatement The statement to execute.
return:
  The status of the database after the statement has been executed.

`def` executeStatement ( statusStatement : scala.dbc.statement.Status , debug : scala.Boolean ) : scala.dbc.result.Status[scala.Unit]

  Executes a statement that updates the state of the database.

param:
  statusStatement The statement to execute.
param:
  debug Whether debugging information should be printed on the console.
return:
  The status of the database after the statement has been executed.

`def` executeStatement [ ResultType ]( transactionStatement : scala.dbc.statement.Transaction[ResultType] ) : scala.dbc.result.Status[ResultType]

  Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.

param:
  transactionStatement The transaction to execute as a closure.
return:
  The status of the database after the transaction has been executed.

`def` executeStatement [ ResultType ]( transactionStatement : scala.dbc.statement.Transaction[ResultType] , debug : scala.Boolean ) : scala.dbc.result.Status[ResultType]

  Executes a list of statements or other operations inside a transaction. Only statements are protected in a transaction, other Scala code is not.

param:
  transactionStatement The transaction to execute as a closure.
param:
  debug Whether debugging information should be printed on the console.
return:
  The status of the database after the transaction has been executed.

override `def` hashCode : scala.Int

override `def` toString : java.lang.String